By using AWS re:Post, you agree to the Terms of Use

AWS Glue says it supports python 3.7 for AWS Glue 2.0 but in reality, only python 3.6 for Python Shell ELT

0

According AWS Glue release, AWS Glue says it supports python 3.7 for AWS Glue 2.0 but in reality, only python 3.6. Here's the steps that I did. I attached snapshots for additional reference.

  1. Open AWS Glue/ ELT/ Jobs
  2. Select Python Shell script editor
  3. Create job
  4. Only Python 3.6 for Python Shell.

open AWS Glue job select python shell aws glue realease

https://docs.aws.amazon.com/glue/latest/dg/release-notes.html

2 Answers
1

I found the answer, that python shell only supports 3.6. Reference link: https://repost.aws/questions/QU7EmDfBcESiWaFTxZQKaAow/glue-py-shell-python-version

answered a month ago
0

hello, We recently launched support for python 3.9 in Glue python shells and simplified the way it works with additional libraries.

For detailed information please have a look at this blog post.

hope this helps

EXPERT
answered 5 days ago

You are not logged in. Log in to post an answer.

A good answer clearly answers the question and provides constructive feedback and encourages professional growth in the question asker.

Guidelines for Answering Questions